Raporlar

Notlar
Expert level
API anahtarı, isteğin Yetkilendirme üstbilgisinde bir Taşıyıcı belirteci olarak gönderilmelidir. API anahtarınızı alın.
Liste

API uç noktası:

GET
https://www.seo.webcodeon.com.tr/api/v1/reports

Talep örneği:

curl --location --request GET 'https://www.seo.webcodeon.com.tr/api/v1/reports' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Parametre
Tip
Açıklama
search
opsiyonel string
Arama sorgusu.
search_by
opsiyonel string
Şuna göre ara. Olası değerler şunlardır: URL için url. Varsayılan değer: url.
project
opsiyonel string
Proje adı.
result
opsiyonel string
The report result. Olası değerler şunlardır: İyi için good, Geçerli için decent, Kötü için bad.
sort_by
opsiyonel string
Şuna göre sırala. Olası değerler şunlardır: Oluşturulduğu tarih için id, Oluşturulan tarih için generated_at, URL için url, Sonuç için result. Varsayılan değer: id.
sort
opsiyonel string
Sırala. Olası değerler şunlardır: Azalan için desc, Yükselen için asc. Varsayılan değer: desc.
per_page
opsiyonel integer
Sayfa başına sonuç. Olası değerler şunlardır: 10, 25, 50, 100. Varsayılan değer: 25.
Göster

API uç noktası:

GET
https://www.seo.webcodeon.com.tr/api/v1/reports/{id}

Talep örneği:

curl --location --request GET 'https://www.seo.webcodeon.com.tr/api/v1/reports/{id}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Mağaza

API uç noktası:

POST
https://www.seo.webcodeon.com.tr/api/v1/reports

Talep örneği:

curl --location --request POST 'https://www.seo.webcodeon.com.tr/api/v1/reports' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}' \
--data-urlencode 'url={url}'
Parametre
Tip
Açıklama
url
gerekli string
The webpage's URL.
privacy
opsiyonel integer
Report page privacy. Olası değerler şunlardır: Genel için 0, Özel için 1, Şifre için 2. Varsayılan değer: 0.
password
opsiyonel string
The password for the report page. Only works with privacy set to 2.
Güncelleme

API uç noktası:

PUT PATCH
https://www.seo.webcodeon.com.tr/api/v1/reports/{id}

Talep örneği:

curl --location --request PUT 'https://www.seo.webcodeon.com.tr/api/v1/reports/{id}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}'
Parametre
Tip
Açıklama
privacy
opsiyonel integer
Report page privacy. Olası değerler şunlardır: Genel için 0, Özel için 1, Şifre için 2.
password
opsiyonel string
The password for the report page. Only works with privacy set to 2.
results
opsiyonel integer
Update the report results. Olası değerler şunlardır: Hayır için 0, Evet için 1. Varsayılan değer: 0.
Sil

API uç noktası:

DELETE
https://www.seo.webcodeon.com.tr/api/v1/reports/{id}

Talep örneği:

curl --location --request DELETE 'https://www.seo.webcodeon.com.tr/api/v1/reports/{id}' \
--header 'Authorization: Bearer {api_key}'